
package bean;

import java.math.BigDecimal;


/**
 * This is the home interface for SavingsAccount enterprise bean.
 */
public interface SavingsAccountRemoteHome extends javax.ejb.EJBHome {
    
    
    
    /**
     *
     */
    bean.SavingsAccountRemote findByPrimaryKey(java.lang.String key)  throws javax.ejb.FinderException, java.rmi.RemoteException;

    bean.SavingsAccountRemote create(java.lang.String id, java.lang.String firstName, java.lang.String lastName, java.math.BigDecimal balance) throws javax.ejb.CreateException, java.rmi.RemoteException;

    java.util.Collection findByInRange(BigDecimal low, BigDecimal high) throws javax.ejb.FinderException, java.rmi.RemoteException;

    java.util.Collection findByLastName(java.lang.String lastName) throws javax.ejb.FinderException, java.rmi.RemoteException;
    
    
}
